import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.util.*;
import javax.swing.*;

public class PlantView extends JComponent {
    private static final long serialVersionUID=1L;
    private ArrayList<Equipment> equipmentList;
    
    public PlantView() {
        equipmentList = new ArrayList<Equipment>();
    }

    public void addEquipment(Equipment t) {
        equipmentList.add(t);
    }

    @Override
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        Graphics2D g2d = (Graphics2D) g;
        for (int i = 0; i < equipmentList.size(); i++) {
            equipmentList.get(i).paint(g2d);
        }
    }

    public void timeTick(float dt) throws Exception{
        for (int i = 0; i < equipmentList.size(); i++) {
            equipmentList.get(i).timeTick(dt);
        }
    }
}
